Rated 5 out of 5 stars

Isn't it compatible with Firefox 18.0? i am trying to download, but all in vain. Please help me. it is a gr8 extension, btw .. :)

Don't know what's wrong

Hey,

don't know why it is not working for you. FF 18.0 is most certainly supported. Maybe try reinstalling Firebug/Firefox? Can you install/uninstall other Firefox plugins?